com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface PRuleset

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleActivity, RuleModelElement

      public interface PRuleset
      extends RuleActivity

  A representation of the model object 'PRuleset'.

  The following features are supported:

  - `Operation Mode`
  - `Version No`
  - `Version Label`
  - `Vocabulary Update Stamp`
  - `Rules`
  - `Filters`
  - `Effectivity Range`
  - `Root Entity`
  - `Rule Statements`
  - `Vocabulary`
  - `Logical Variables`
  See Also:
    `RulesheetPackage.getPRuleset()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getEffectivityRange()` Returns the value of the 'Effectivity Range' reference list.
    `org.eclipse.emf.common.util.EList` | `getFilters()` Returns the value of the 'Filters' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getLogicalVariables()` Returns the value of the 'Logical Variables' containment reference list.
    `EngineOperationMode` | `getOperationMode()` Returns the value of the 'Operation Mode' attribute.
    `org.eclipse.emf.common.util.EList` | `getRootEntity()` Returns the value of the 'Root Entity' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getRules()` Returns the value of the 'Rules' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getRuleStatements()` Returns the value of the 'Rule Statements' containment reference list.
    `java.lang.String` | `getVersionLabel()` Returns the value of the 'Version Label' attribute
    `int` | `getVersionNo()` Returns the value of the 'Version No' attribute
    `org.eclipse.emf.ecore.EPackage` | `getVocabulary()` Returns the value of the 'Vocabulary' reference
    `java.lang.String` | `getVocabularyUpdateStamp()` Returns the value of the 'Vocabulary Update Stamp' attribute
    `void` | `setOperationMode(EngineOperationMode value)` Sets the value of the '`Operation Mode`' attribute
    `void` | `setVersionLabel(java.lang.String value)` Sets the value of the '`Version Label`' attribute
    `void` | `setVersionNo(int value)` Sets the value of the '`Version No`' attribute
    `void` | `setVocabulary(org.eclipse.emf.ecore.EPackage value)` Sets the value of the '`Vocabulary`' reference
    `void` | `setVocabularyUpdateStamp(java.lang.String value)` Sets the value of the '`Vocabulary Update Stamp`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.ruleflow.RuleActivity

      `getDomain, setDomain`

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getOperationMode

          EngineOperationMode getOperationMode()

      Returns the value of the 'Operation Mode' attribute. The literals are from the enumeration `EngineOperationMode`.

      If the meaning of the 'Operation Mode' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operation Mode' attribute.
      See Also:
        `EngineOperationMode`, `setOperationMode(EngineOperationMode)`, `RulesheetPackage.getPRuleset_OperationMode()`

    - #### setOperationMode

          void setOperationMode(EngineOperationMode value)

      Sets the value of the '`Operation Mode`' attribute.
      Parameters:
        `value` - the new value of the 'Operation Mode' attribute.
      See Also:
        `EngineOperationMode`, `getOperationMode()`

    - #### getVersionNo

          int getVersionNo()

      Returns the value of the 'Version No' attribute.

      If the meaning of the 'Version No' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version No' attribute.
      See Also:
        `setVersionNo(int)`, `RulesheetPackage.getPRuleset_VersionNo()`

    - #### setVersionNo

          void setVersionNo(int value)

      Sets the value of the '`Version No`' attribute.
      Parameters:
        `value` - the new value of the 'Version No' attribute.
      See Also:
        `getVersionNo()`

    - #### getVersionLabel

          java.lang.String getVersionLabel()

      Returns the value of the 'Version Label' attribute.

      If the meaning of the 'Version Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version Label' attribute.
      See Also:
        `setVersionLabel(String)`, `RulesheetPackage.getPRuleset_VersionLabel()`

    - #### setVersionLabel

          void setVersionLabel(java.lang.String value)

      Sets the value of the '`Version Label`' attribute.
      Parameters:
        `value` - the new value of the 'Version Label' attribute.
      See Also:
        `getVersionLabel()`

    - #### getVocabularyUpdateStamp

          java.lang.String getVocabularyUpdateStamp()

      Returns the value of the 'Vocabulary Update Stamp' attribute.

      If the meaning of the 'Vocabulary Update Stamp' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary Update Stamp' attribute.
      See Also:
        `setVocabularyUpdateStamp(String)`, `RulesheetPackage.getPRuleset_VocabularyUpdateStamp()`

    - #### setVocabularyUpdateStamp

          void setVocabularyUpdateStamp(java.lang.String value)

      Sets the value of the '`Vocabulary Update Stamp`' attribute.
      Parameters:
        `value` - the new value of the 'Vocabulary Update Stamp' attribute.
      See Also:
        `getVocabularyUpdateStamp()`

    - #### getRules

          org.eclipse.emf.common.util.EList getRules()

      Returns the value of the 'Rules' containment reference list. The list contents are of type `PRule`. It is bidirectional and its opposite is '`Ruleset`'.

      If the meaning of the 'Rules' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rules' containment reference list.
      See Also:
        `RulesheetPackage.getPRuleset_Rules()`, `PRule.getRuleset()`

    - #### getFilters

          org.eclipse.emf.common.util.EList getFilters()

      Returns the value of the 'Filters' containment reference list. The list contents are of type `Filter`. It is bidirectional and its opposite is '`Ruleset`'.

      If the meaning of the 'Filters' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Filters' containment reference list.
      See Also:
        `RulesheetPackage.getPRuleset_Filters()`, `Filter.getRuleset()`

    - #### getEffectivityRange

          org.eclipse.emf.common.util.EList getEffectivityRange()

      Returns the value of the 'Effectivity Range' reference list. The list contents are of type `EffectivityRange`.

      If the meaning of the 'Effectivity Range' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Effectivity Range' reference list.
      See Also:
        `RulesheetPackage.getPRuleset_EffectivityRange()`

    - #### getRootEntity

          org.eclipse.emf.common.util.EList getRootEntity()

      Returns the value of the 'Root Entity' containment reference list. The list contents are of type `EClass`.

      If the meaning of the 'Root Entity' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Root Entity' containment reference list.
      See Also:
        `RulesheetPackage.getPRuleset_RootEntity()`

    - #### getRuleStatements

          org.eclipse.emf.common.util.EList getRuleStatements()

      Returns the value of the 'Rule Statements' containment reference list. The list contents are of type `RuleStatement`. It is bidirectional and its opposite is '`Ruleset`'.

      If the meaning of the 'Rule Statements' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Statements' containment reference list.
      See Also:
        `RulesheetPackage.getPRuleset_RuleStatements()`, `RuleStatement.getRuleset()`

    - #### getVocabulary

          org.eclipse.emf.ecore.EPackage getVocabulary()

      Returns the value of the 'Vocabulary' reference.

      If the meaning of the 'Vocabulary' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary' reference.
      See Also:
        `setVocabulary(EPackage)`, `RulesheetPackage.getPRuleset_Vocabulary()`

    - #### setVocabulary

          void setVocabulary(org.eclipse.emf.ecore.EPackage value)

      Sets the value of the '`Vocabulary`' reference.
      Parameters:
        `value` - the new value of the 'Vocabulary' reference.
      See Also:
        `getVocabulary()`

    - #### getLogicalVariables

          org.eclipse.emf.common.util.EList getLogicalVariables()

      Returns the value of the 'Logical Variables' containment reference list. The list contents are of type `LogicalVariable`.

      If the meaning of the 'Logical Variables' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Logical Variables' containment reference list.
      See Also:
        `RulesheetPackage.getPRuleset_LogicalVariables()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.